Subject: Re: linux-next: manual merge of the folio tree with the fscache tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 2 Nov 2021 09:07:49 +1100

Hi all,

On Tue, 21 Sep 2021 13:54:21 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the folio tree got a conflict in:
> 
>   fs/cachefiles/rdwr.c
> 
> between commit:
> 
>   405f4ff7f8a3 ("fscache: Remove the old I/O API")
> 
> from the fscache tree and commit:
> 
>   2e96a1a81b3f ("mm/filemap: Convert page wait queues to be folios")
> 
> from the folio tree.
> 
> I fixed it up (the former removed the file, so I did that) and can
> carry the fix as necessary. This is now fixed as far as linux-next is
> concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.

This is now a conflict between Linus' tree and the fscache tree.
-- 
Cheers,
Stephen Rothwell